uuidutils_tests.c File Reference
`#include "uuidutils.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`

## Functions

static bool | is_between (char value, char lower, char upper)
| Describe (uuidutils)
| BeforeEach (uuidutils)
| AfterEach (uuidutils)
| Ensure (uuidutils, gvm_uuid_make_returns_valid_string)
| Ensure (uuidutils, gvm_uuid_make_generates_unique_values)
| Ensure (uuidutils, gvm_uuid_make_generates_valid_format)
int | main (int argc, char **argv)

## Function Documentation

## AfterEach()

AfterEach | ( | uuidutils |  | ) |

## BeforeEach()

BeforeEach | ( | uuidutils |  | ) |

## Describe()

Describe | ( | uuidutils |  | ) |

## Ensure() [1/3]

Ensure | ( | uuidutils | ,
|  | gvm_uuid_make_generates_unique_values | )

## Ensure() [2/3]

Ensure | ( | uuidutils | ,
|  | gvm_uuid_make_generates_valid_format | )

## Ensure() [3/3]

Ensure | ( | uuidutils | ,
|  | gvm_uuid_make_returns_valid_string | )

## is_between()

bool is_between | ( | char | value,
|  | char | lower,
|  | char | upper )

static

## main()

int main | ( | int | argc,
|  | char ** | argv )